<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder: Référence du fichier src/crawler.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('crawler_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier crawler.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contient les fonctions pour gérer le crawler.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="search__engine_8h_source.html">../inc/search_engine.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:ae06aa25c32819d4fd2fe3a686de66ca3"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="crawler_8c.html#ae06aa25c32819d4fd2fe3a686de66ca3">get_filename</a> (char *path)</td></tr>
<tr class="memdesc:ae06aa25c32819d4fd2fe3a686de66ca3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne le nom du fichier.  <a href="#ae06aa25c32819d4fd2fe3a686de66ca3">Plus de détails...</a><br /></td></tr>
<tr class="separator:ae06aa25c32819d4fd2fe3a686de66ca3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cc2b8f7b65124ca26b439a2270ff58a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="crawler_8c.html#a8cc2b8f7b65124ca26b439a2270ff58a">is_dir</a> (struct dirent *file)</td></tr>
<tr class="memdesc:a8cc2b8f7b65124ca26b439a2270ff58a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indique si un fichier est un repertoire.  <a href="#a8cc2b8f7b65124ca26b439a2270ff58a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a8cc2b8f7b65124ca26b439a2270ff58a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3312a7e6e67331d14d8f822365633314"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="crawler_8c.html#a3312a7e6e67331d14d8f822365633314">crawler</a> (<a class="el" href="structtable__t.html">table_t</a> *table, char *<a class="el" href="hash__table_8c.html#a5420849a0d0b03ddc3afbba911fd301a">search_path</a>)</td></tr>
<tr class="memdesc:a3312a7e6e67331d14d8f822365633314"><td class="mdescLeft">&#160;</td><td class="mdescRight">Une fonction recursive qui va parcourir tous les fichiers sous <em>search_path</em> puis les insère dans une table de hash <em>table</em>.  <a href="#a3312a7e6e67331d14d8f822365633314">Plus de détails...</a><br /></td></tr>
<tr class="separator:a3312a7e6e67331d14d8f822365633314"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Contient les fonctions pour gérer le crawler. </p>
<dl class="section author"><dt>Auteur</dt><dd>Abdennadher Raed &amp; Antoniadis Orphée </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>27 janvier 2017 </dd></dl>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="a3312a7e6e67331d14d8f822365633314"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3312a7e6e67331d14d8f822365633314">&#9670;&nbsp;</a></span>crawler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void crawler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>search_path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Une fonction recursive qui va parcourir tous les fichiers sous <em>search_path</em> puis les insère dans une table de hash <em>table</em>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>La table de hash qui contiendra tous les chemins vers les fichiers </td></tr>
    <tr><td class="paramname">search_path</td><td>Le sommet de l'arborescence à parcourir </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae06aa25c32819d4fd2fe3a686de66ca3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae06aa25c32819d4fd2fe3a686de66ca3">&#9670;&nbsp;</a></span>get_filename()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* get_filename </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne le nom du fichier. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>Le chemin absolu vers le fichier </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Un string, le nom du fichier </dd></dl>

</div>
</div>
<a id="a8cc2b8f7b65124ca26b439a2270ff58a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cc2b8f7b65124ca26b439a2270ff58a">&#9670;&nbsp;</a></span>is_dir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int is_dir </td>
          <td>(</td>
          <td class="paramtype">struct dirent *&#160;</td>
          <td class="paramname"><em>file</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Indique si un fichier est un repertoire. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">file</td><td>Un pointeur sur une entrée du repertoire </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>1 si l'entrée est un repertoire sinon 0 </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="crawler_8c.html">crawler.c</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
